-----------------------------------	
-- Exenterator
-- Dagger weapon skill	
-- Skill Level: 357	
-- Delivers a fourfold attack that lowers enemy's accuracy. Effect duration varies with TP.
-- In order to obtain Exenterator, the quest Martial Mastery must be completed.
-- Aligned with the Breeze Gorget, Thunder Gorget & Soil Gorget.
-- Aligned with the Breeze Belt, Thunder Belt & Soil Belt.
-- Element: None	
-- Modifiers: AGI: 20~100%, depending on merit points ugrades. 
-- 100%TP    200%TP    300%TP	
-- 1.00   	 1.00      1.00	
-----------------------------------	
	
require("scripts/globals/status");	
require("scripts/globals/settings");	
require("scripts/globals/weaponskills");	
-----------------------------------	
	
function OnUseWeaponSkill(player, target, wsID)	
	
	numHits = 4;
	ftp100 = 1.0; ftp200 = 1.0; ftp300 = 1.0;
	str_wsc = 0.0; dex_wsc = 0.0; vit_wsc = 0.00; agi_wsc = 0.85; int_wsc = 0.0; mnd_wsc = 0.0; chr_wsc = 0.0;
	crit100 = 0.0; crit200 = 0.0; crit300 = 0.0;
	canCrit = true;
	acc100 = 0.0; acc200= 0.0; acc300= 0.0;
	atkmulti = 1;
	damage, tpHits, extraHits = doPhysicalWeaponskill(player,target,numHits,str_wsc,dex_wsc,vit_wsc,agi_wsc,int_wsc,mnd_wsc,chr_wsc,canCrit,crit100,crit200,crit300,acc100,acc200,acc300,atkmulti);
	
	return tpHits, extraHits, damage;
	
end